<template>
  <q-page class>
    <navbar />
    <q-tabs
      v-model="tab"
      dense
      align="justify"
      class="bg-grey-2 text-primary shadow-2"
      :breakpoint="0"
    >
      <q-tab name="services" v-if="!isManager" label="Services" />
      <q-tab name="requests" v-if="!isManager" label="Requests" />
      <q-tab name="servicesAsManager" v-if="isManager" label="Services" />
      <q-tab name="employeeManagement" v-if="isManager" label="Employees" />
    </q-tabs>
    <q-tab-panels v-model="tab" animated>
      <q-tab-panel v-if="!isManager" name="services">
        <services />
      </q-tab-panel>
      <q-tab-panel v-if="!isManager" name="requests">
        <requests />
      </q-tab-panel>
      <q-tab-panel v-if="isManager" name="servicesAsManager">
        <services-as-manager />
      </q-tab-panel>
      <q-tab-panel v-if="isManager" name="employeeManagement">
        <employee-management />
      </q-tab-panel>
    </q-tab-panels>
  </q-page>
</template>

<style></style>

<script>
import Request from "../components/Requests.vue";
import Navbar from "../components/Navbar.vue";
import Services from "../components/Services.vue";
import ServicesAsManager from "../components/ServicesAsManager.vue";
import EmployeeManagement from "../components/EmployeeManagement.vue";
export default {
  components: {
    Services,
    Navbar,
    Request,
    ServicesAsManager,
    EmployeeManagement
  },
  name: "MainPage",
  data() {
    return {
      tab: "services"
    };
  },

  methods: {},
  beforeMount() {
    if (this.isManager) {
      this.tab = "servicesAsManager";
    }
  },
  computed: {
    isManager() {
      return this.$q.localStorage.getItem("user")
        ? this.$q.localStorage.getItem("user").type == "employee" &&
            this.$q.localStorage.getItem("user").data.position == "manager"
        : false;
    }
  }
};
</script>
